##
##  ruby.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_opkg   3.4.5
%define       V_dist   3.4.5
%define       V_subdir 3.4.5
%define       V_major  3.4

#   package information
Name:         ruby
Summary:      The Ruby Scripting Language
URL:          http://www.ruby-lang.org/
Vendor:       Yukihiro 'Matz' Matsumoto
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Language
License:      GPL
Version:      %{V_opkg}
Release:      20250717

#   list of sources
Source0:      https://cache.ruby-lang.org/pub/ruby/%{V_major}/ruby-%{V_dist}.tar.gz
Patch0:       ruby.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses, openssl, readline, zlib
PreReq:       ncurses, openssl, readline, zlib

%description
    Ruby is an interpreted scripting language for quick and easy
    object-oriented programming. It has many features to process text
    files and to do system management tasks (as in Perl). It is simple,
    straight-forward, extensible, and portable.

%track
    prog ruby = {
        version   = %{V_dist}
        url       = http://www.ruby-lang.org/en/downloads/
        regex     = ruby-(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n ruby-%{V_subdir}
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags}" \
    GREP="grep" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-ldflags="%{l_ldflags}" \
        --disable-dtrace \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/ri/*/system/IRB/*MagicFile*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/ri/*/system/Set/dig*
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

